Run Red Team Simulation
curl --request POST \
--url https://api.valiqor.com/v2/security/redteam \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_name": "<string>",
"run_name": "<string>",
"attack_vector_keys": [
"<string>"
],
"attacks_per_vector": 5,
"target_vulnerabilities": [
"<string>"
],
"config": {},
"openai_api_key": "<string>"
}
'import requests
url = "https://api.valiqor.com/v2/security/redteam"
payload = {
"project_name": "<string>",
"run_name": "<string>",
"attack_vector_keys": ["<string>"],
"attacks_per_vector": 5,
"target_vulnerabilities": ["<string>"],
"config": {},
"openai_api_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_name: '<string>',
run_name: '<string>',
attack_vector_keys: ['<string>'],
attacks_per_vector: 5,
target_vulnerabilities: ['<string>'],
config: {},
openai_api_key: '<string>'
})
};
fetch('https://api.valiqor.com/v2/security/redteam', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Security
Run Red Team Simulation
Run red team simulation (always runs asynchronously)
Generates adversarial attacks using specified attack vectors and evaluates them for safety violations.
Returns immediately with a job_id. Use WebSocket or polling to track progress.
Request Body:
{
"project_id": "uuid",
"run_name": "v1.0 Security Test",
"attack_vector_keys": ["jailbreak", "rot13"],
"attacks_per_vector": 5
}
POST
/
v2
/
security
/
redteam
Run Red Team Simulation
Authorizations
Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx
Body
application/json
Request to run red team simulation
Project name (will be created if doesn't exist)
Attack vector keys to use (e.g., ['jailbreak', 'rot13'])
Number of attacks per vector
Target vulnerability keys (e.g., ['s1-violence'])
Optional configuration
Optional OpenAI key override
Response
Successful Response
⌘I